Forum

Results 1 to 2 of 2
  1. #1
    Join Date
    April 2017
    Posts
    1

    failed to start because it could not find or load the Qt platform plugin "xcb"

    Hello!
    Tried to install on ubuntu 14 and got this message:
    This application failed to start because it could not find or load the Qt platform plugin "xcb"
    in "".

    I downloaded http://dl.4players.de/ts/releases/3....md64-3.1.4.run
    and ran it.

    if I do ldd on the ts3client_linux_amd64
    Code:
    [email protected]:~/TS/ts$ ldd ts3client_linux_amd64
            linux-vdso.so.1 =>  (0x00007fff33b60000)
            libquazip.so => not found
            libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007fe59cca5000)
            librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007fe59ca9c000)
            libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007fe59c883000)
            libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007fe59c57d000)
            libQt5Core.so.5 => not found
            libQt5Gui.so.5 => not found
            libQt5Network.so.5 => not found
            libQt5Widgets.so.5 => not found
            libQt5Sql.so.5 => not found
            libQt5WebEngineCore.so.5 => not found
            libQt5WebEngineWidgets.so.5 => not found
            libQt5WebChannel.so.5 => not found
            libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007fe59c35f000)
            libssl.so.1.0.0 => /lib/x86_64-linux-gnu/libssl.so.1.0.0 (0x00007fe59c0ff000)
            libcrypto.so.1.0.0 => /lib/x86_64-linux-gnu/libcrypto.so.1.0.0 (0x00007fe59bd23000)
            libc++.so.1 => not found
            libc++abi.so.1 => not found
            libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007fe59bb0c000)
            libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007fe59b8ee000)
            libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007fe59b525000)
            /lib64/ld-linux-x86-64.so.2 (0x00007fe59ceb5000)
    But i think all those files are right there in the same dir.
    What am I doing wrong?
    What do I need to install?

  2. #2
    Join Date
    June 2008
    Posts
    18,261
    This thread is in server section and so I guess you've tried to install and start the client on a server?
    This will only work when there is a graphical user interface (a real desktop) available.

    Running a client via console only is not supported.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Qt platform plugin "xcb"
    By tabyret in forum Linux
    Replies: 10
    Last Post: October 14th, 2015, 09:13 PM
  2. Replies: 6
    Last Post: October 17th, 2014, 03:33 AM
  3. Replies: 1
    Last Post: November 11th, 2013, 06:04 PM
  4. Replies: 15
    Last Post: June 20th, 2012, 01:51 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •